unit main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Data.DB, Vcl.StdCtrls, Vcl.ExtCtrls,
  Vcl.DBCtrls, Vcl.Grids, Vcl.DBGrids, adsdata, adsfunc, adstable, adscnnct;

type
  TForm1 = class(TForm)
    AdsConnection1: TAdsConnection;
    AdsTable1: TAdsTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Panel1: TPanel;
    edTabelle: TEdit;
    Button1: TButton;
    FileOpenDialog1: TFileOpenDialog;
    Label1: TLabel;
    Button2: TButton;
    Label2: TLabel;
    edExtension: TEdit;
    Button3: TButton;
    Label3: TLabel;
    cbID: TComboBox;
    cbBlob: TComboBox;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure AdsConnection1AfterConnect(Sender: TObject);
    procedure AdsTable1AfterOpen(DataSet: TDataSet);
    procedure AdsTable1AfterClose(DataSet: TDataSet);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.AdsConnection1AfterConnect(Sender: TObject);
begin
  AdsTable1.Close;
  AdsTable1.TableName:=ExtractFileName(edTabelle.Text);
  AdsTable1.Open;
end;

procedure TForm1.AdsTable1AfterClose(DataSet: TDataSet);
begin
  Button2.Caption:='ffnen';
  cbID.Items.Clear;
  cbBlob.Items.Clear;
end;

procedure TForm1.AdsTable1AfterOpen(DataSet: TDataSet);
var
  I: Integer;
begin
  Button2.Caption:='Schliessen';
  cbID.Items.Clear;
  for I := 0 to AdsTable1.FieldCount-1 do
    cbid.Items.Add(AdsTable1.Fields[i].FieldName);
  cbBlob.Items.Assign(cbID.Items);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  FileOpenDialog1.FileName:=edTabelle.Text;
  if FileOpenDialog1.Execute then
    edTabelle.Text:=FileOpenDialog1.FileName;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  AdsConnection1.Disconnect;
  AdsConnection1.ConnectPath:=ExtractFilePath(edTabelle.Text);
  AdsConnection1.Connect;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if AdsTable1.Active then begin
    AdsTable1.First;
    while not AdsTable1.Eof do begin
      TBlobField(AdsTable1.FieldByName(cbBlob.Text)).SaveToFile(AdsConnection1.ConnectPath+'\'+AdsTable1.FieldByName(cbID.Text).AsString+'.'+edExtension.Text);
      AdsTable1.Next;
    end;

  end;

end;

end.
